### Virtual Method

# Camel MessageInfo set_flags

since: 3.24

#### Declaration [src]

    gboolean
    set_flags (
      CamelMessageInfo* mi,
      guint32 mask,
      guint32 set
    )

#### Description [src]

Change the state of the flags on the `mi`. Both `mask` and `set` are bit-or of `CamelMessageFlags`.

If the `mi` changed, the ‘dirty’ flag and the ‘folder-flagged’ flag are set automatically, unless the `mi` is aborting notifications. There is also emitted folder’s “changed” signal for this `mi`, if necessary. In case the CAMEL_MESSAGE_FOLDER_FLAGGED flag would be set and the `mi` is not aborting notifications, the ‘folder-flagged-stamp’ changes too.

Available since: 3.24

#### Parameters

`mask`

  Type: `guint32`

  Mask of flags to change.

`set`

  Type: `guint32`

  State the flags should be changed to.

#### Return value

Type: `gboolean`

Whether the flags changed.